Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.corevrp.parser
Class Lexer_Simple

    java.lang.Object
      |
      +--gr.forth.ics.vrp.corevrp.parser.Lexer_Simple

public class Lexer_Simple
extends Object

This class is a scanner generated by JFlex 1.3.5 on 6/25/02 6:15 PM from the specification file `file:/D:/tmp_local_users/alexaki/RDF_VRP/src/gr/forth/ics/vrp/corevrp/Cup_JFlex/lexer_simple.jflex`

Field Summary
`static int` | `QName_Begin` lexical states
`static int` | `QName_End`
`static int` | `RDF_Attribute`
`static int` | `RDF_Attribute_IDSYMBOL`
`static int` | `RDF_End`
`static int` | `RDF_QName_Begin`
`static int` | `RDF_QName_End`
`static int` | `RDF_YYINITIAL`
`static int` | `YYEOF` This character denotes the end of file
`static int` | `YYINITIAL`

Constructor Summary
`Lexer_Simple(InputStream in)` Creates a new scanner.
`Lexer_Simple(Reader in)` Creates a new scanner There is also a java.io.InputStream version of this constructor.

Method Summary
`java_cup.runtime.Symbol` | `next_token()` Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.
`void` | `setdebug(boolean b)` For debugging - lexer will print the generated tokens and the tokentypes to a Output.
`void` | `yybegin(int newState)` Enters a new lexical state
`char` | `yycharat(int pos)` Returns the character at position `pos` from the matched text.
`void` | `yyclose()` Closes the input stream.
`int` | `yylength()` Returns the length of the matched text region.
`void` | `yyreset(Reader reader)` Closes the current stream, and resets the scanner to read from a new input stream.
`int` | `yystate()` Returns the current lexical state.
`String` | `yytext()` Returns the text matched by the current regular expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### YYEOF

    public static final int YYEOF

  This character denotes the end of file

  See Also:
    Constant Field Values

### QName_Begin

    public static final int QName_Begin

  lexical states

  See Also:
    Constant Field Values

### RDF_QName_End

    public static final int RDF_QName_End

See Also:
  Constant Field Values

### RDF_Attribute

    public static final int RDF_Attribute

See Also:
  Constant Field Values

### RDF_QName_Begin

    public static final int RDF_QName_Begin

See Also:
  Constant Field Values

### YYINITIAL

    public static final int YYINITIAL

See Also:
  Constant Field Values

### RDF_Attribute_IDSYMBOL

    public static final int RDF_Attribute_IDSYMBOL

See Also:
  Constant Field Values

### RDF_End

    public static final int RDF_End

See Also:
  Constant Field Values

### QName_End

    public static final int QName_End

See Also:
  Constant Field Values

### RDF_YYINITIAL

    public static final int RDF_YYINITIAL

See Also:
  Constant Field Values

Constructor Detail

### Lexer_Simple

    public Lexer_Simple(Reader in)

  Creates a new scanner There is also a java.io.InputStream version of this constructor.

Parameters:
  `in` - the java.io.Reader to read input from.

### Lexer_Simple

    public Lexer_Simple(InputStream in)

  Creates a new scanner. There is also java.io.Reader version of this constructor.

Parameters:
  `in` - the java.io.Inputstream to read input from.

Method Detail

### setdebug

    public void setdebug(boolean b)

  For debugging - lexer will print the generated tokens and the tokentypes to a Output. The default setting is 'false'.

### yyclose

    public final void yyclose()
                       throws IOException

  Closes the input stream.

    `IOException`

### yyreset

    public final void yyreset(Reader reader)
                       throws IOException

  Closes the current stream, and resets the scanner to read from a new input stream. All internal variables are reset, the old input stream cannot be reused (internal buffer is discarded and lost). Lexical state is set to `YY_INITIAL`.

  Parameters:
    `reader` - the new input stream
    `IOException`

### yystate

    public final int yystate()

  Returns the current lexical state.

### yybegin

    public final void yybegin(int newState)

  Enters a new lexical state

  Parameters:
    `newState` - the new lexical state

### yytext

    public final String yytext()

  Returns the text matched by the current regular expression.

### yycharat

    public final char yycharat(int pos)

  Returns the character at position `pos` from the matched text. It is equivalent to yytext().charAt(pos), but faster

  Parameters:
    `pos` - the position of the character to fetch. A value from 0 to yylength()-1.
  Returns:
    the character at position pos

### yylength

    public final int yylength()

  Returns the length of the matched text region.

### next_token

    public java_cup.runtime.Symbol next_token()
                                       throws IOException

  Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.

  Returns:
    the next token
  Throws:
    `IOException` - if any I/O-Error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD